/**
 * Copyright (c) 2021 Dominic Msters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "matrix.h"

/** The math for the camera is stored here. */
typedef struct {
  /** View Matrix (Where the camera looks) */
  matrix_t view;

  /** Projection Matrix (How the camera looks) */
  matrix_t projection;
} camera_t;