/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../src/display/render.h"
#include "../../src/game/game.h"
#include "../../src/input/input.h"

#define SCREEN_WIDTH 480
#define SCREEN_HEIGHT 320

#define OPENGL_MAJOR_VERSION 2
#define OPENGL_MINOR_VERSION 1

int32_t main(int32_t argc, char *argv[]);