/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../../vn/conversation/talk.h"
#include "../../../display/animation/queue.h"

/**
 * Adds an action to the poker game scene's queue.
 * 
 * @param game Game to add the action to.
 * @return Action that was added to the game.
 */
queueaction_t * pokerGameActionAdd(pokergame_t *game);