/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "sphere.h"
#include "../input/input.h"

bool aabbPoint2D(
  float pointX, float pointY,
  float x, float y, float width, float height,
  aabbpointhit2d_t *hit
);

bool aabbVector2D(
  float x, float y, float vx, float vy,
  float bx, float by, float width, float height,
  aabbvectorhit2d_t *vector
);