#version 320 es

#ifdef GL_ES
  in mediump vec2 TexCoord;
  uniform mediump sampler2D u_Text;
  out mediump vec4 FragColor;
  
  void main() {
    mediump vec4 color = texture(u_Text, TexCoord);
    if(color.a == 0.0) discard;
    FragColor = color;
  }
#else
  #version 330 core

  in vec2 TexCoord;
  uniform sampler2D u_Text;
  out vec4 FragColor;

  void main() {
    vec4 color = texture(u_Text, TexCoord);
    if(color.a == 0.0) discard;
    FragColor = color;
  }
#endif