#version 320 es
#ifdef GL_ES
  
#else
  #extension GL_ARB_separate_shader_objects : enable
#endif

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoord;

uniform mat4 u_Proj;
uniform mat4 u_View;
uniform mat4 u_Modl;

out vec2 TexCoord;

void main() {
  gl_Position = u_Proj * u_View * u_Modl * vec4(aPos, 1.0);
  TexCoord = vec2(aTexCoord.x, aTexCoord.y);
}